
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/io_apic.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/io_apic.c~i386-fix-up-schedule_timeout-usage arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~i386-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:28 2005
+++ 25-akpm/arch/i386/kernel/io_apic.c	Wed Aug 17 17:00:28 2005
@@ -573,8 +573,7 @@ static int balanced_irq(void *unused)
 	}
 
 	for ( ; ; ) {
-		set_current_state(TASK_INTERRUPTIBLE);
-		time_remaining = schedule_timeout(time_remaining);
+		time_remaining = schedule_timeout_interruptible(time_remaining);
 		try_to_freeze();
 		if (time_after(jiffies,
 				prev_balance_time+balanced_irq_interval)) {
_
